%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-XML-NamespaceSupport
Version:        1.08
Release:        0.fdr.6.1
Epoch:          0
Summary:        A simple generic XML namespace support class for Perl

License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-NamespaceSupport/
Source:         http://www.cpan.org/authors/id/R/RB/RBERJON/XML-NamespaceSupport-1.08.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module offers a simple to process namespaced XML names (unames)
from within any application that may need them. It also helps maintain
a prefix to namespace URI map, and provides a number of basic checks.
The model for this module is SAX2's NamespaceSupport class, readable
at http://www.saxproject.org/apidoc/org/xml/sax/helpers/NamespaceSupport.html.
It adds a few perlisations where we thought it appropriate.


%prep
%setup -q -n XML-NamespaceSupport-%{version}
chmod 0644 Changes README *.pm


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/man3/*.3*


%changelog
* Wed May 12 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.08-0.fdr.6
- Avoid creation of the perllocal.pod file (make pure_install).

* Tue Apr 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.5
- Fix *.pm permissions (bug 1065).

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.4
- Require perl(:MODULE_COMPAT_*).

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.3
- Reduce directory ownership bloat.

* Tue Sep 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.2
- Spec cleanup.
- Install into vendor dirs.

* Wed Jul 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.1
- First build.
